    001    /* ========================================================================
    002     * JCommon : a free general purpose class library for the Java(tm) platform
    003     * ========================================================================
    004     *
    005     * (C) Copyright 2000-2005, by Object Refinery Limited and Contributors.
    006     *
    007     * Project Info:  http://www.jfree.org/jcommon/index.html
    008     *
    009     * This library is free software; you can redistribute it and/or modify it
    010     * under the terms of the GNU Lesser General Public License as published by
    011     * the Free Software Foundation; either version 2.1 of the License, or
    012     * (at your option) any later version.
    013     *
    014     * This library is distributed in the hope that it will be useful, but
    015     * WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
    016     * or FITNESS FOR A PARTICULAR PURPOSE. See the GNU Lesser General Public
    017     * License for more details.
    018     *
    019     * You should have received a copy of the GNU Lesser General Public
    020     * License along with this library; if not, write to the Free Software
    021     * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301,
    022     * USA.
    023     *
    024     * [Java is a trademark or registered trademark of Sun Microsystems, Inc.
    025     * in the United States and other countries.]
    026     *
    027     * ---------------------
    028     * FontDisplayField.java
    029     * ---------------------
    030     * (C) Copyright 2000-2004, by Object Refinery Limited.
    031     *
    032     * Original Author:  David Gilbert (for Object Refinery Limited);
    033     * Contributor(s):   Arnaud Lelievre;
    034     *
    035     * $Id: FontDisplayField.java,v 1.3 2005/10/18 13:18:34 mungady Exp $
    036     *
    037     * Changes (from 26-Oct-2001)
    038     * ----------------------------------
    039     * 26-Oct-2001 : Changed package to com.jrefinery.ui.*;
    040     * 14-Oct-2002 : Fixed errors reported by Checkstyle (DG);
    041     * 08-Sep-2003 : Added internationalization via use of properties resourceBundle (RFE 690236) (AL);
    042     *
    043     */
    044
    045    package org.jfree.ui;
    046
    047    import java.awt.Font;
    048    import java.util.ResourceBundle;
    049
    050    import javax.swing.JTextField;
    051
    052    /**
    053     * A field for displaying a font selection.  The display field itself is read-only, to the developer
    054     * must provide another mechanism to allow the user to change the font.
    055     *
    056     * @author David Gilbert
    057     */
    058    public class FontDisplayField extends JTextField {
    059
    060        /** The current font. */
    061        private Font displayFont;
    062
    063        /** The resourceBundle for the localization. */
    064        protected static final ResourceBundle localizationResources =
    065            ResourceBundle.getBundle("org.jfree.ui.LocalizationBundle");
    066
    067        /**
    068         * Standard constructor - builds a FontDescriptionField initialised with the specified font.
    069         *
    070         * @param font  the font.
    071         */
    072        public FontDisplayField(final Font font) {
    073            super("");
    074            setDisplayFont(font);
    075            setEnabled(false);
    076        }
    077
    078        /**
    079         * Returns the current font.
    080         *
    081         * @return the font.
    082         */
    083        public Font getDisplayFont() {
    084            return this.displayFont;
    085        }
    086
    087        /**
    088         * Sets the font.
    089         *
    090         * @param font  the font.
    091         */
    092        public void setDisplayFont(final Font font) {
    093            this.displayFont = font;
    094            setText(fontToString(this.displayFont));
    095        }
    096
    097        /**
    098         * Returns a string representation of the specified font.
    099         *
    100         * @param font  the font.
    101         *
    102         * @return a string describing the font.
    103         */
    104        private String fontToString(final Font font) {
    105            if (font != null) {
    106                return font.getFontName() + ", " + font.getSize();
    107            }
    108            else {
    109                return localizationResources.getString("No_Font_Selected");
    110            }
    111        }
    112
    113    }